import { AppModule } from '../../app-modules/app-module.js';
import Output from '../../output/output.js';
export declare class TimeModule extends AppModule {
    private timeouts;
    private intervals;
    private incr;
    constructor(output: Output);
    static readonly id: string;
    getId(): number;
    _every(interval: number, unit: 'seconds' | 'milliseconds' | 'frames', callback: () => void): void;
    _later(delay: number, unit: 'seconds' | 'milliseconds' | 'frames', callback: () => void): void;
    _stop(): void;
}
export default TimeModule;
